Bug 76805 - cups doesn't send PJL when printing PCL file
cups doesn't send PJL when printing PCL file
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
: Reopened
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2002-10-26 19:52 EDT by Jonathan Kamens
Modified: 2008-05-06 19:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-10-26 19:52:55 EDT
If I generate a PCL file and print it with "lpr", it gets sent to the printer
without the PJL wrapper setting such things as print density, economy mode, etc.
 In contrast, if I print a text file which is converted to postscript
automatically, the PJL for the printer driver settings I've specified are
correctly sent to the printer.  I haven't tried what happens if I print a
PostScript file.

I'm using a laserjet 1100 with the ljet4 driver.  I've got cups-1.1.15-12 and
foomatic-2.0.2-1.

The bug here is that PCL files should be correctly wrapped in PJL; only a file
already containing PJL should be left completely unmodified.
Comment 1 giulioo 2002-10-29 08:44:22 EST
I think this is by design, since PCL is autotyped as cups-raw

mime.types:
application/vnd.cups-raw    (string(0,<1B>E) + !string(2,<1B>%0B)) \ ...
<ESC>E is PCL reset

so it's sent to the printer as is, raw.

The PCL file might include other settings (using PCL escapes) for density,
economy, ... so adding PJL could produce unpredictable results, I think.

Comment 2 Jonathan Kamens 2002-10-29 09:28:42 EST
If it's by design, then I think the design is wrong.

If the PCL contains settings, then they'll override the PJL settings.  That's
not unpredictable, it's correct behavior.

Note, furthermore, that since I believe CUPS actually saves the PJL parameters
that it sends with each job (i.e., I believe it writes the parameters at the
start of the job into the printers persistent configuration rather than making
them for just that job), the *current* behavior is unpredictable -- the exact
format (economy mode, density, etc.) in which a PCL job prints depends on the
format of the last job sent to the printer (i.e., the settings used to print the
last job).
Comment 3 giulioo 2002-10-29 10:42:01 EST
For the design issue you can try asking cups developer, who is usually very
responsive: http://www.cups.org/newsgroups.php

For the PJL, I tried looking at the PJL produced by cups own drivers, but could
not find quickly a driver that does it.
Foomatic PJL seems fine, since it does (ie for a hl1250):
@PJL SET ECONOMODE=OFF 
...
and not 
@PJL DEFAULT ECONOMODE=OFF
...


Comment 4 Tim Waugh 2002-12-12 10:57:12 EST
So are there any drivers that do the wrong thing?
Comment 5 Bill Nottingham 2006-08-07 22:00:13 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 15:40:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.
Comment 7 Jonathan Kamens 2006-11-26 14:03:27 EST
This is still a problem in Fedora Core.
Comment 8 Peter van Egdom 2007-07-02 17:25:47 EDT
Reassigning bug to product "Fedora" to keep tracking it.
Comment 9 Bug Zapper 2008-04-03 11:25:46 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-06 19:55:11 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.